extends layout

block content
  .dashboard-main-wrapper(style='width: 100%')
    .dashboard-header
      include navbar
    include sidebar
    .dashboard-wrapper(style='min-height:calc(100vh - 110px) !important')
      .dashboard-ecommerce
        .container-fluid.dashboard-content
          .row
            .col-xl-12.col-lg-12.col-md-12.col-sm-12.col-12
              .page-header
                h2.pageheader-title Ajouter un serveur
          .row
            .col-xl-12.col-lg-12.col-md-12.col-sm-12.col-12
              .card
                .card-body
                  form(role="form", action="/servers/add", method="post")
                    .form-group
                      input.form-control.form-control-lg(type='text' name='hostname' required='' placeholder='Nom d\'hôte' autocomplete='on')
                    .form-group
                      input.form-control.form-control-lg(type='text' name='ipAddress' required='' placeholder='Adresse IP' autocomplete='on')
                    .form-group
                      input.form-control.form-control-lg(type='number' name='port' required='' placeholder='Port' autocomplete='off' value='22')
                    .form-group
                      input.form-control.form-control-lg(type='text' name='monitUser' required='' placeholder='Utilisateur de monitoring' autocomplete='off')
                    .form-group
                      input.form-control.form-control-lg(type='password' name='monitSecret' required='' placeholder='Mot de passe ou clé SSH' autocomplete='on')
                    .form-group
                      input.form-control.form-control-lg(type='text' name='osType' value='linux' placeholder='Type d\'OS')
                    .form-group
                      input.form-control.form-control-lg(type='text' name='services' placeholder='Services, séparés par une virgule')
                    input(type='hidden', name="_csrf", value=`${csrf}`)
                    .form-group.pt-2
                      button.btn.btn-block.btn-primary(type='submit') Ajouter mon serveur
    .footer
      .container-fluid
        .row
          .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
            | Copyright &copy; 2019 Monitording.
          .col-xl-6.col-lg-6.col-md-6.col-sm-12.col-12
            .text-md-right.footer-links.d-none.d-sm-block
              a(href='javascript: void(0);') About
              a(href='javascript: void(0);') Support
              a(href='javascript: void(0);') Contact Us
  script(src='../assets/vendor/jquery/jquery-3.3.1.min.js')
  script(src='../assets/vendor/bootstrap/js/bootstrap.bundle.js')
  script(src='../assets/vendor/slimscroll/jquery.slimscroll.js')
  script(src='../assets/libs/js/main-js.js')
  script(src='../assets/vendor/charts/chartist-bundle/chartist.min.js')
  script(src='../assets/vendor/charts/sparkline/jquery.sparkline.js')
  script(src='../assets/vendor/charts/morris-bundle/raphael.min.js')
  script(src='../assets/vendor/charts/morris-bundle/morris.js')
  script(src='../assets/vendor/charts/c3charts/c3.min.js')
  script(src='../assets/vendor/charts/c3charts/d3-5.4.0.min.js')
  script(src='../assets/vendor/charts/c3charts/C3chartjs.js')
  script(src='../assets/libs/js/dashboard-ecommerce.js')
